com.threerings.micasa.lobby

## Interface LobbyProvider

All Superinterfaces:
  com.threerings.presents.server.InvocationProvider

All Known Implementing Classes:
  LobbyRegistry

    @Generated(value="com.threerings.presents.tools.GenServiceTask",
               comments="Derived from LobbyService.java.")
    public interface LobbyProvider
    extends com.threerings.presents.server.InvocationProvider

Defines the server-side of the `LobbyService`.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `getCategories(com.threerings.presents.data.ClientObject caller, LobbyService.CategoriesListener arg1)` Handles a `LobbyService.getCategories(com.threerings.micasa.lobby.LobbyService.CategoriesListener)` request.
`void` `getLobbies(com.threerings.presents.data.ClientObject caller, String arg1, LobbyService.LobbiesListener arg2)` Handles a `LobbyService.getLobbies(java.lang.String, com.threerings.micasa.lobby.LobbyService.LobbiesListener)` request.

### Method Detail

#### getCategories

    void getCategories(com.threerings.presents.data.ClientObject caller,
                       LobbyService.CategoriesListener arg1)
                throws com.threerings.presents.server.InvocationException

Handles a `LobbyService.getCategories(com.threerings.micasa.lobby.LobbyService.CategoriesListener)` request.

Throws:
  `com.threerings.presents.server.InvocationException`

#### getLobbies

    void getLobbies(com.threerings.presents.data.ClientObject caller,
                    String arg1,
                    LobbyService.LobbiesListener arg2)
             throws com.threerings.presents.server.InvocationException

Handles a `LobbyService.getLobbies(java.lang.String, com.threerings.micasa.lobby.LobbyService.LobbiesListener)` request.

Throws:
  `com.threerings.presents.server.InvocationException`